# Created by pyp2rpm-3.3.5
%global pypi_name numcodecs

Name:           python-%{pypi_name}
Version:        0.10.2
Release:        %mkrel 1
Summary:        A Python package providing buffer compression and transformation codecs for use in data storage and communication applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/zarr-developers/numcodecs
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(entrypoints)
BuildRequires:  python3dist(msgpack)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(typing-extensions)
BuildRequires:  pkgconfig(blosc)


%description
Numcodecs is a Python package providing buffer compression and
transformation codecs for use in data storage and communication applications.
This build is provided with disabled AVX2 support, and disabled SSE2 support for
32bits architectures.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Numcodecs is a Python package providing buffer compression and
transformation codecs for use in data storage and communication applications.
This build is provided with disabled AVX2 support, and disabled SSE2 support for
32bits architectures.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
export DISABLE_NUMCODECS_AVX2=TRUE
%ifarch %arm %ix86
export DISABLE_NUMCODECS_SSE2=TRUE
%endif
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst c-blosc/README.md c-blosc/README_CHUNK_FORMAT.rst c-blosc/README_THREADED.rst



%changelog
* Thu Dec 01 2022 papoteur <papoteur> 0.10.2-1.mga9
+ Revision: 1913786
- imported package python-numcodecs

